Package twisted :: Package protocols :: Module toc :: Class TOCFactory

[show private | hide private]
[frames | no frames]

## Class TOCFactory

    Factory --+
              |
             TOCFactory

Method Summary
| `__init__(self)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| `getChatroom(self, exchange, name)`
| `remChatroom(self, room)`
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)

Method Details

### buildProtocol(self, addr)

Create an instance of a subclass of Protocol.

The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory.

Override this method to alter how Protocol instances get created.

  Overrides:
    `twisted.internet.protocol.Factory.buildProtocol` (inherited documentation)

Generated by Epydoc 1.1 on Sat Feb 15 21:18:04 2003 | http://epydoc.sf.net